"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var core_1 = require("@material-ui/core");
var Close_1 = require("@material-ui/icons/Close");
var NotificationType;
(function (NotificationType) {
    NotificationType[NotificationType["info"] = 0] = "info";
    NotificationType[NotificationType["warning"] = 1] = "warning";
    NotificationType[NotificationType["error"] = 2] = "error";
    NotificationType[NotificationType["custom"] = 3] = "custom";
})(NotificationType = exports.NotificationType || (exports.NotificationType = {}));
function NotificationItem(props) {
    var ref = React.createRef();
    function handleClose(event, reason) {
        if (reason === "clickaway") {
            return;
        }
        if (event && event.stopPropagation) {
            event.stopPropagation();
        }
        props.onClose(props.id);
    }
    function handleExited() {
        props.onExited(props.id);
    }
    React.useEffect(function () {
        if (ref.current && props.onSetHeight) {
            var clientHeight = ref.current.clientHeight || 0;
            props.onSetHeight(props.id, clientHeight);
        }
    }, []);
    return (React.createElement(core_1.Snackbar, { ref: ref, anchorOrigin: props.anchorOrigin, transitionDuration: props.transitionDuration, open: props.open, onClose: handleClose, onExited: handleExited, autoHideDuration: props.remainingDuration, style: {
            marginTop: props.onCalcMarginTop(props.index),
            zIndex: 10003
        } }, props.title ? (React.createElement(core_1.SnackbarContent, { style: props.snackBarStyle, message: React.createElement(TitleMessageComponent, { message: props.message, messageStyle: props.snackBarMessageStyle, messageVariant: props.snackBarMessageVariant, title: props.title, titleStyle: props.snackBarTitleStyle, titleVariant: props.snackBarTitleVariant }), action: props.action || (React.createElement(core_1.IconButton, { onClick: function (e) {
                return handleClose(e, "SnackbarContentActionClose");
            } },
            React.createElement(Close_1.default, { style: { color: "#ffffff" } }))) })) : (React.createElement(core_1.SnackbarContent, { style: props.snackBarStyle, message: React.createElement(ReactNodeOrString, { text: props.message, variant: props.snackBarMessageVariant, style: props.snackBarMessageStyle || props.snackBarStyle }), action: props.action || (React.createElement(core_1.IconButton, { onClick: function (e) {
                return handleClose(e, "SnackbarContentActionClose");
            } },
            React.createElement(Close_1.default, { style: { color: "#ffffff" } }))) }))));
}
exports.NotificationItem = NotificationItem;
function TitleMessageComponent(props) {
    return (React.createElement("div", null,
        React.createElement(ReactNodeOrString, { text: props.title, variant: props.titleVariant, style: props.titleStyle }),
        React.createElement(ReactNodeOrString, { text: props.message, variant: props.messageVariant, style: props.messageStyle })));
}
function ReactNodeOrString(props) {
    return (React.createElement("div", null, typeof props.text === "string" ? (React.createElement(core_1.Typography, { variant: props.variant, style: props.style }, props.text)) : (props.text)));
}
